Skip to content

Update Goal Progress

PUT
/api/writing/analytics/goals/{goal_id}/progress

Update progress for a specific goal.

goal_id
required
Goal Id
string
UpdateProgressBody

PUT /analytics/goals/{id}/progress body.

object
wordsAdded
Wordsadded
integer
0

Successful Response

AnalyticsStatusResponse[GoalProgressResponse]
object
status
required
Status
string
message
required
Message
string
data
Any of:
GoalProgressResponse

Goal progress after update.

object
goalId
required
Goalid
string
goalType
Goaltype
string
""
targetWords
Targetwords
integer
0
currentWords
Currentwords
integer
0
percentage
Percentage
number
0
remainingWords
Remainingwords
integer
0
daysRemaining
Daysremaining
integer
0
onTrack
Ontrack
boolean
projectedCompletion
Projectedcompletion
string
""

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object